/**
 * Custom scripts needed for the colorpicker, image button selectors,
 * and navigation tabs.
 */

jQuery(document).ready(function($) {

	// Loads the color pickers
	$('.of-color').wpColorPicker();
	$('.of-datepicker').datepicker({ dateFormat: 'MM dd, yy' });

	// Image Options
	$('.of-radio-img-img').click(function(){
		$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
		$(this).addClass('of-radio-img-selected');
	});

	$('.of-radio-img-label').hide();
	$('.of-radio-img-img').show();
	$('.of-radio-img-radio').hide();

	// Loads tabbed sections if they exist
	if ( $('.nav-tab-wrapper').length > 0 ) {
		options_framework_tabs();
	}

	function options_framework_tabs() {

		var $group = $('.group'),
			$navtabs = $('.nav-tab-wrapper a'),
			active_tab = '';

		// Hides all the .group sections to start
		$group.hide();

		// Find if a selected tab is saved in localStorage
		if ( typeof(localStorage) != 'undefined' ) {
			active_tab = localStorage.getItem('active_tab');
		}

		// If active tab is saved and exists, load it's .group
		if ( active_tab != '' && $(active_tab).length ) {
			$(active_tab).fadeIn();
			$(active_tab + '-tab').addClass('nav-tab-active');
		} else {
			$('.group:first').fadeIn();
			$('.nav-tab-wrapper a:first').addClass('nav-tab-active');
		}

		// Bind tabs clicks
		$navtabs.click(function(e) {

			e.preventDefault();

			// Remove active class from all tabs
			$navtabs.removeClass('nav-tab-active');

			$(this).addClass('nav-tab-active').blur();

			if (typeof(localStorage) != 'undefined' ) {
				localStorage.setItem('active_tab', $(this).attr('href') );
			}

			var selected = $(this).attr('href');

			$group.hide();
			$(selected).fadeIn();

		});
	}
	
  
	jQuery(".ofnslider").each(function () {
	var nearsecid = '#'+$(this).closest('.section-nslider').attr('id') +' .nslcount';
    var slider = $(this).slider({
    range: "min",     
    value: parseFloat($(this).attr('value')),
    min: parseFloat($(this).attr('minv')),
    max: parseFloat($(this).attr('maxv')),
    step: parseFloat($(this).attr('stepv')),
    
      	slide: function(event, ui) { $(ui.handle).find('.nstooltip').text(ui.value); },
    	create: function(event, ui) { var tooltip = $('<div class="nstooltip">'+$(this).attr('value')+'</div>');
		$(event.target).find('.ui-slider-handle').append(tooltip); },
		change: function(event, ui) { $(this).attr('value', ui.value);  $(nearsecid).attr('value', ui.value);  }		
  });
		
		$('.nslcount').bind("propertychange change keyup paste input", function(){ 
		var value = parseInt(this.value);
		if (value+"" !== "NaN") {
		var selectortt = '#'+$(this).closest('.section-nslider').attr('id') +' .nstooltip';	
		$(selectortt).text(value);	
		var selector = $(this).parent();
		selector.slider("value", value);
		}
		});
		
});
  

});

//D5 Add Extra
jQuery(function() { jQuery( ".section-radio, .section-multicheck, .section-checkbox" ).buttonset(); });
jQuery(function() { jQuery( "#optionsframework .group" ).css('min-height', jQuery("#optionsframework-wrap .nav-tab-wrapper").outerHeight( true )); });
